Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
Dernière révision Les deux révisions suivantes
acroread [Le 27/08/2015, 08:10]
92.129.107.211 [Problème d'imprimante avec Acrobat Reader]
acroread [Le 01/06/2021, 22:42]
93.22.133.153 [Avec Wine]
Ligne 1: Ligne 1:
-{{tag>Precise Trusty ​visionneuse pdf}}+{{tag>Bionic ​visionneuse pdf}}
  
 ---- ----
Ligne 5: Ligne 5:
 ====== Adobe Reader====== ====== Adobe Reader======
  
-<note warning>20141213 : Adobe ne fournit plus ce logiciel pour Linux. Les versions présentées ci-dessous sont obsolètesprésentent des risques de sécurité, et risquent de ne pas fonctionner du tout.</​note>​ +<note warning>**Adobe ne fournit plus ce logiciel pour Linux**\\ 
-**Adobe Reader (c)** (précédemment publié sous le nom Acrobat Reader) est une application propriétaire et gratuite maintenue par [[http://​www.adobe.com|Adobe System Incorporated]] pour lire les fichiers [[PDF]]. ​+Les versions présentées ci-dessous sont obsolètes
 +Elles présentent des risques de sécurité, et risquent de ne pas fonctionner du tout. \\ 
 +Si vous étiez dans l'​obligation d'​utiliser cette application pour communiquer avec votre imprimante, [[:Okular]] reste la solution la plus crédible. Cependant il reste toujours des cas ou seul acroread est capable de lire correctement certains pdf.</​note>​ 
 +**Adobe Reader (c)** (précédemment publié sous le nom Acrobat Reader(c)) est une application propriétaire et gratuite maintenue par [[http://​www.adobe.com|Adobe System Incorporated]] pour lire les fichiers [[:PDF]]. ​
  
-Etant donné que les logiciels Adobe ne respectent pas les spécifications ISO du format PDF((voir [[pdf]])), Adobe Reader est le seul lecteur PDF sachant lire toutes les fonctionnalités des fichiers générés par les logiciels Adobe, notamment :+Étant ​donné que les logiciels Adobe ne respectent pas les spécifications ISO du format PDF((voir [[:pdf]])), Adobe Reader est quasiment ​le seul lecteur PDF sachant lire toutes les fonctionnalités des fichiers générés par les logiciels Adobe, notamment :
   * notes, post-it dans les documents, etc.   * notes, post-it dans les documents, etc.
   * formulaires XFA (formulaires CERFA);   * formulaires XFA (formulaires CERFA);
-  * impression de recueils+  * impression de recueils ​(même si [[:​bookletimposer]] permet de le faire),
  
-===== Installation =====+<note IMPORTANT>​ 
 +Les versions Acrobat "code libre de diffusion"​ du lecteur Adobe Reader sont disponibles à cette adresse: [[ftp://​ftp.adobe.com/​pub/​adobe/​reader/​unix/​|Serveur Adobe "​Archives"​ des anciennes versions Unix-Linux]]. 
 +</​note>​
  
-Adobe ne fournit plus ce logiciel pour LinuxLes versions présentées ci-dessous sont obsolètes, présentent des risques ​de sécurité, et risquent ​de ne pas fonctionner ​du tout.+<note warning>​Au 4 aout 2016((**(en)** [[https://​askubuntu.com/​questions/​752425/​how-to-open-a-pdf-form-file-that-says-please-wait|Post ​de Nealncb]] — discussion : « How to open a PDF form file that says wait? » ; site : AskUbuntu.com))**la note de certification ISO 32000-2** présentée ​et validée lors du scrutin des Accords Internationaux ​de Pretoria en Afrique du Sud **__préconise__ l'​abandon pur et simple du format XFA**. \\ 
 +__**Adobe Inc ne contrevient donc pas à des accords internationaux en poursuivant le développement ​du module XFA, mais son utilisation n'est plus conseillée**__.</​note>​
  
  
 +===== Installation =====
 +====Via les paquets deb====
  
-  * https://​bugs.launchpad.net/​ubuntu/​+source/​acroread/​+bug/​1176131 ​9.5.5 +Si vous êtes sur un version plus récente, téléchargez et [[:tutoriel:comment_installer_un_paquet|installez les paquets]] ​**acroread-bin acroread-common, acroread**, et **adobereader-fra** correspondants à votre [[:​architecture_materielle|architecture matérielle]] ​[[http://archive.canonical.com/ubuntu/pool/partner/a/acroread/|ici]].\\
-  ​http://​adobe-reader.fr.uptodown.com/​ubuntu : version 9.5.3 . Sur ubuntu 12.04, le programme renvoie un message d'​erreur : "///​opt/​Adobe/​Reader9/​Reader/​intellinux/​bin/acroread: error while loading shared libraries: libxml2.so.2:​ cannot open shared object file: No such file or directory//"​ +
-  ​* [[http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.4.2/​fra/​AdbeRdr9.4.2-1_i386linux_fra.deb]]: version 9.4.2.+
  
-==== Installation d'​Acrobat Reader ​9.5.5 ====+Ou bien directement en 32 bits [[http://​ardownload.adobe.com/​pub/​adobe/​reader/​unix/​9.x/​9.5.5/​enu/​AdbeRdr9.5.5-1_i386linux_enu.deb|ici]] ou [[http://​ardownload.adobe.com/​pub/​adobe/​reader/​unix/​9.x/​9.4.2/​fra/​AdbeRdr9.4.2-1_i386linux_fra.deb|là]] pour une version moins récente mais en français. Dans ces derniers cas il faudra pour les [[:​architecture_materielle|architecture 64 bits]] avoir [[:​tutoriel:​comment_installer_un_paquet|installé les paquets]] **[[apt>​libgtk2.0-0:​i386,​libnspr4-0d:​i386,​libxml2:​i386,​libxslt1.1:​i386,​libstdc++6:​i386]]**.
  
-<​code>​wget http://​ardownload.adobe.com/​pub/​adobe/​reader/​unix/​9.x/​9.5.5/​enu/​AdbeRdr9.5.5-1_i386linux_enu.deb 
  
-chmod 777 AdbeRdr9.5.5-1_i386linux_enu.deb+==== Via PlayOnLinux ==== 
 +Sous Ubuntu une 
 +L'​utilisation de [[:​PlayOnLinux]] est probablement la manière la plus simple quant à l'​installation d'une version récente d'​Adobe Reader… pour Microsoft Windows (à travers [[wine|Wine]]) :​ 
 +  * Installer [[:​PlayOnLinux]],​ 
 +  * Ouvrir PlayOnLinux,​ cliquer sur InstallerPuis chercher « Acrobat » et lancer l'​installation. 
 +  * Après l'​accord de licence, PlayOnLinux vous propose de choisir la méthode d'​installation. Le plus simple est de choisir «Télécharger le programme». 
 +  * Suivre les indications et accepter de créer une icône sur le bureau (autrement, il faut ouvrir PlayOnLinux pour lancer le programme).
  
-sudo dpkg -i AdbeRdr9.5.5-1_i386linux_enu.deb</​code>​+<note IMPORTANT>​ 
 +**Les nouvelles versions "​Reader DC"** sous Windows XP SP3 jusqu'​à Windows 7 présentes sur le serveur d'​Adobe **ne sont plus compatibles Wine ou CrossOver**En effet, l’installeur impose de télécharger des mises à jour ; cette procédure conduit à une erreur interne qui plante l'​installation. 
 +</​note>​ 
 +====Avec Wine==== 
 +Installer [[Wine]] et [[Winetricks]],​ puis executez: 
 +<​code>​winetricks mspatcha</​code>​ 
 +Téléchargez la dernière versions d'​Acrobat [[https://​get.adobe.com/​fr/​reader/​enterprise/​|ici]] puis exécutez-le avec wine: 
 +<​code>​wine AcroRdrDCxxxxxx.exe</​code>​
  
-puis, uniquement si Ubuntu en version 64 bits (et message d'​erreur à la dernière commande dpkg) : 
- 
-<​code>​sudo apt-get -f install 
- 
-sudo apt-get install libgtk2.0-0:​i386 libnss3-1d:​i386 libnspr4-0d:​i386 lib32nss-mdns libxml2:​i386 libxslt1.1:​i386 libstdc++6:​i386 </​code>​ 
 ===== Configuration ===== ===== Configuration =====
 ==== Définir comme lecteur PDF par défaut ==== ==== Définir comme lecteur PDF par défaut ====
- +Normalement AcrobatReader se mettra par defaut comme lecteur PDF. 
-Si vous avez raté l'étape du choix du lecteur PDF par défaut à l’installation, il est possible de le configurer ​ultérieurement+Si ce n'est pas le cas, il est possible de le configurer : 
-  * Cliquez avec le bouton ​droit de votre souris sur un quelconque fichier PDF et choisissez **Propriétés**.+  * Clic droit de votre souris sur un quelconque fichier PDF et choisissez **Propriétés**.
   * Allez dans l'​onglet **Ouvrir avec…**.   * Allez dans l'​onglet **Ouvrir avec…**.
   * Cliquez sur le bouton **Ajouter** et choisissez **Adobe Reader**.   * Cliquez sur le bouton **Ajouter** et choisissez **Adobe Reader**.
   * Cochez **Adobe Reader** dans la liste pour qu'il soit utilisé par défaut.   * Cochez **Adobe Reader** dans la liste pour qu'il soit utilisé par défaut.
   * Fermez la fenêtre de propriétés.   * Fermez la fenêtre de propriétés.
- 
- 
-<​note>​17/​01/​2013 cela ne marche pas avec 12.04 
- 
-cf [[changer_l_association_par_defaut_des_fichiers_avec_les_applications|Changer l'​association par défaut des fichiers avec les applications]] 
- 
-Utiliser AdobeReader.desktop ou bien acroread.desktop 
-</​note>​ 
  
 ===== Utilisation ===== ===== Utilisation =====
  
-Pour ouvrir un document PDF avec Adobe Reader, vous pouvez procéder de différentes manières. ​+Pour ouvrir un document PDF (valable aussi pour les fichiers CERFA) ​avec Adobe Reader, vous pouvez procéder de différentes manières. ​
  
-Une première façon de procéder est de lancer Adobe Reader par son raccourci ​dans le menu //​Applications → Bureautique → Adobe Reader//. Vous avez maintenant la possibilité d'​ouvrir un fichier PDF directement dans le logiciel.+Une première façon de procéder est de faire une recherche ​dans [[:​unity#​tableau_de_bord_dash|le tableau de bord Unity]] avec le mot clé ** Adobe Reader**. Vous avez maintenant la possibilité d'​ouvrir un fichier PDF directement dans le logiciel.
  
-Une seconde façon est d'​assigner Adobe Reader en tant que visionneuse par défaut de documents PDF. De cette façon, dès que vous ouvrirez un fichier PDF, il sera ouvert avec Adobe Reader+Une seconde façon est [[:​tutoriel:​changer_l_association_par_defaut_des_fichiers_avec_les_applications|d'​assigner Adobe Reader en tant que visionneuse par défaut]] de documents PDF. De cette façon, dès que vous ouvrirez un fichier PDF, il sera ouvert avec Adobe Reader.
- +
-Enfin, une troisième manière consiste à ouvrir un document PDF directement dans une fenêtre de Mozilla Firefox. Vous pouvez ouvrir un document en ligne, en spécifiant l'URL vers ce fichier ([[http://​serveur/​chemin/​fichier.pdf]]) ou présent localement dans votre ordinateur, en précisant le chemin vers le fichier ([[file:///​chemin/​fichier.pdf]]). +
- +
-==== Ouverture de fichiers CERFA dans Adobe Reader 9 ==== +
-<note important>​Ne cliquez pas sur le fichier dans l'​Explorateur! +
- +
-Adobe afficherait un message d'​erreur de mise à jour de la visionneuse.</​note>​ +
-  * Faites "​Fichier"​ > "​Ouvrir";​ +
-  * Sélectionnez votre fichier CERFA préalablement sauvegardé dans "​Documents",​ par exemple...+
  
 +Enfin, une troisième manière consiste à ouvrir un document PDF directement dans une fenêtre de Mozilla Firefox. Vous pouvez ouvrir un document en ligne, en spécifiant l'URL vers ce fichier ''​http://​serveur/​chemin/​fichier.pdf''​ ou présent localement dans votre ordinateur, en précisant le chemin vers le fichier ([[file:///​chemin/​fichier.pdf]]).
  
 ==== Sauvegarde des "​données du formulaire"​ ==== ==== Sauvegarde des "​données du formulaire"​ ====
Ligne 76: Ligne 73:
  
 ===== Problèmes connus ===== ===== Problèmes connus =====
 +====Les fichiers CERFA====
 +Il est possible de remplir les fichiers CERFA directement en ligne, ce qui vous évite les problèmes liés à ce type de formulaires.
  
- +30/08/2016 : Evince 3.18 supporte assez bien les formulaires CERFA (cases à cocher, champ de code postal...)
  
 ==== Problème d'​imprimante avec Acrobat Reader ==== ==== Problème d'​imprimante avec Acrobat Reader ====
Ligne 89: Ligne 87:
 **Solution**: ​ **Solution**: ​
  
-<note important>​ **Suivez la procédure de mise à jour vers Adobe Reader 9**</​note>​ +  ​* Supprimer le paquet **[[apt>​lpr]]** (et le paquet **[[apt>​lprng]]**), 
- +  * Installer le paquet **[[apt>​cups-bsd]]**, 
-  ​* Supprimer le paquet **[[apt>​lpr]]** (et le paquet **[[apt> lprng)]]**) +  * Fermer l'​application **acroread** et la relancer.
-  * Installer le paquet **[[apt>​cups-bsd]]** +
-  * Fermer l'​application **acroread** et la relancer+
  
 L'​impression fonctionne depuis **acroread**. L'​impression fonctionne depuis **acroread**.
  
 +====Problème d'​autocomplétion====
 +Problème d'​autocomplétion ajoutant un espace lorsqu'​on utilise tab semble lié au fichier
 +/​opt/​Adobe/​Reader9/​Resource/​Shell/​acroread_tab. Voir [[https://​bugs.launchpad.net/​ubuntu/​+source/​gnome-terminal/​+bug/​768876|ici]].
  
-<​note>​probleme d'autocompletion ajoutant un espace lorsqu'on utilise tab  +====Texte manquant dans l'interface==== 
-semble lie au fichier +Si une partie du texte de l'interface graphique ​ne s'affiche ​pas, téléchargez ​et installez les polices ​de caractères Segoe UI.
-/​opt/​Adobe/​Reader9/​Resource/​Shell/​acroread_tab +
-cfr  +
-https://​bugs.launchpad.net/​ubuntu/​+source/​gnome-terminal/​+bug/​768876</​note>​ +
- +
-Avec **xubuntu** les documents ​ne s'ouvre pas par défaut avec acroread ​et il n'est pas possible ​de l'​ajouter avec propriété -> ouvrir avec +
-  * solution: il manque dans /​usr/​share/​applications/​AdobeReader.desktop %f à la fin de la ligne exec +
 =====Voir aussi===== =====Voir aussi=====
- +  * [[https://​bugs.launchpad.net/​ubuntu/​+source/​acroread/​+bug/​1176131|le bug qui réclame le paquet deb de la version 9.5.5 pour les dépôts Trusty]], 
-  * **(en)** [[http://​www.adobe.com/​fr/​products/​reader.html|Site officiel]]  +  * **(en)** [[http://​www.adobe.com/​fr/​products/​reader.html|Site officiel]] ​, 
-  * **(en)** [[https://​help.ubuntu.com/​community/​AcrobatHowTo|AcrobatHowTo]] sur Ubuntu.com  +  * **(en)** [[https://​help.ubuntu.com/​community/​AcrobatHowTo|AcrobatHowTo]] sur Ubuntu.com, 
-  * **(fr)** [[pdf]] ​+  * **(fr)** [[:pdf]].
  
 ---- ----
  
 //​Contributeurs : [[utilisateurs:​ostaquet]],​ [[utilisateurs:​jcr]],​ [[utilisateurs:​Ner0lph]],​ [[utilisateurs:​XtremXpert]], ​ [[utilisateurs:​abartravail]],​ [[utilisateurs:​eagle08]].//​ //​Contributeurs : [[utilisateurs:​ostaquet]],​ [[utilisateurs:​jcr]],​ [[utilisateurs:​Ner0lph]],​ [[utilisateurs:​XtremXpert]], ​ [[utilisateurs:​abartravail]],​ [[utilisateurs:​eagle08]].//​
  • acroread.txt
  • Dernière modification: Le 11/06/2021, 14:25
  • par 176.130.134.118